--- title: "Get the Alert Suppression" slug: "get-the-alert-suppression-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:21Z published: 2026-11-19T12:57:21Z canonical: "docs.trellix.com/get-the-alert-suppression-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Alert Suppression This URL gets the alert suppression for the Sensor. ### Resource URL GET /sensor//ipsalerting/alertsuppression ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `sensor_id` | Sensor id | Number | Yes | ### Response Parameters Following fields are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `isEnabled` | To enable the alert suppression | Boolean | | `uniqueSourceDestinationIPpairs` | Number of source destination IP pairs | Number | | `individualAlerts` | Number of individual alerts | Number | | `suppressSeconds` | Suppress seconds | Number | | `alertCorrelation` | Alert correlation | Number | | `packetsLoggedPerFlow` | Packets logged per flow | Number | | `enablePacketLogChannelEncryption` | Enable packet log encryption | Boolean | ### Example **Request** GET [https:///sdkapi/sensor/1001/ipsalerting/alertsuppression](https://<NSM_IP>/sdkapi/sensor/1001/ipsalerting/alertsuppression) **Response** ```  {  "isEnabled": true,  "uniqueSourceDestinationIPpairs": 16,  "individualAlerts": 2,  "suppressSeconds": 2,  "alertCorrelation": 3  "packetsLoggedPerFlow": 6400,  "enablePacketLogChannelEncryption": true } ``` ### Error Information Following error code is returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor |